// pages/orderdetail/orderdetail.js
import { get,post } from "../../common/request.js"
import pathmap from "../../common/pathmap"
import stylemap from "../../common/stylemap"
import { retCartData } from "../../data/car"

const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
     
  
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) { 
    this.setData(Object.assign({id:options.id},stylemap));     
    this.getOrder();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  getOrder:function(){
    var _self=this;
    get(pathmap.orderdetail,{
      order_id:this.data.id
    },function(json){
      if(json.statusCode==200){
        _self.setData(json.data);
      }else{
        if(json.data.message){
          wx.showToast({
            title:json.data.message,
            icon:"none",
            duration:2000
          })
        }
      }
    })
  },
  showPic:function(e){
    var url = e.target.dataset.url;
    wx.previewImage({
      current: url, // 当前显示图片的http链接
      urls: [url] // 需要预览的图片http链接列表
    })
  }
})